Name:           perl-Math-Base-Convert
Version:        0.11
Release:        1
Summary:        Very fast base to base conversion
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Math-Base-Convert
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIKER/Math-Base-Convert-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests only
BuildRequires:  perl(diagnostics)
# Optional tests only
BuildRequires:  perl(Benchmark)
BuildRequires:  perl(Math::BigInt)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
This module provides fast functions and methods to convert between
arbitrary number bases from 2 (binary) thru 65535.

%prep
%setup -q -n Math-Base-Convert-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files

%doc bitmaps Changes README recurse2txt
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 30 2022 misaka00251 <misaka00251@misakanet.cn> - 0.11-1
- Init package (Thanks to fedora team)
